Subject: Re: Where are Reg* implemented?
From: [email-masked] ("Wei Ku")

31 Jul 1997 20:52:36 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: <[email-masked]>, "Justin Hopkins" <[email-masked]>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Priority: 3
X-MSMail-Priority: Normal
X-Mailer: Microsoft Outlook Express 4.71.1008.3
X-MimeOle: Produced By Microsoft MimeOLE Engine V4.71.1008.3
Original-Sender: [email-masked]

 My impression ( an what I always do ) is to put the options before the
files to be compiled or linked as following:

g++ -o outfilename -O -L libpath -l lib file.c file.o ...

Sincerely,
Wei Ku

***************************************
Department of Physics and Astronomy
The University of Tennessee
1408 Circle Drive
Knoxville, Tennessee 37996-1200
[email-masked]
---------------------------------------
Solid State Division
Oak Ridge National Laboratory
P.O.Box 2008
Oak Ridge, TN 37831-6032
Phone: (423) 574-5795
Fax: (423) 574-4143
[email-masked]
***************************************

-----Original Message-----
From: Justin Hopkins <[email-masked]>
To: [email-masked] <[email-masked]>
Date: Thursday, July 31, 1997 10:27 PM
Subject: Re: Where are Reg* implemented?

>At 01:08 AM 7/31/97 +0100, you wrote:
>>I copied this testprogram from the M$ manuals, which uses
>>the RegOpenKeyExA, RegQueryValueExA, RegQueryInfoKeyA and
>>RegCloseKey functions. They are defined in windows.h, and
>>a quick "strings -f *.a | grep Reg" finds the symbols in
>>libadvapi32.a
>>
>>gcc -ladvapi32    pdh.c   -o pdh
>
>
>Try using this command-line>
>  gcc -o pdh.exe pdh.c -ladvapi32
>
>I may be wrong, but I think gcc/g++ expect your libraries
>to be at the end of the command line invocation.
>
>Justin Hopkins
>
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".